# Uses of Class
java.io.SerializablePermission

Packages that use SerializablePermission
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.

## Uses of SerializablePermission in java.io

Fields in java.io declared as SerializablePermission
Modifier and Type
Field
Description
`static final SerializablePermission`
ObjectStreamConstants.`SERIAL_FILTER_PERMISSION`
Enable setting the system-wide serial filter.
`static final SerializablePermission`
ObjectStreamConstants.`SUBCLASS_IMPLEMENTATION_PERMISSION`
Enable overriding of readObject and writeObject.
`static final SerializablePermission`
ObjectStreamConstants.`SUBSTITUTION_PERMISSION`
Enable substitution of one object for another during serialization/deserialization.